-- Create database if it doesn't exist (optional, often done via SSMS/DB Browser)
-- CREATE DATABASE InnovateDB_College;
-- GO
-- USE InnovateDB_College;
-- GO

-- Drop table if it exists (for easy re-running)
IF OBJECT_ID('dbo.Products', 'U') IS NOT NULL
  DROP TABLE dbo.Products;
GO

-- Create Products table
CREATE TABLE Products (
    ProductID INT IDENTITY(1,1) PRIMARY KEY, -- Auto-incrementing key for SQL Server
    -- ProductID INTEGER PRIMARY KEY AUTOINCREMENT, -- Use for SQLite
    ProductName VARCHAR(100) NOT NULL,
    Price DECIMAL(10, 2) NULL,
    StockQuantity INT NULL DEFAULT 0
);
GO

-- Insert sample data
INSERT INTO Products (ProductName, Price, StockQuantity) VALUES
('Alpha Widget', 19.99, 150),
('Beta Gadget', 25.50, 75),
('Gamma Gizmo', 9.75, 200),
('Delta Device', 150.00, 30);
GO

-- Verify insertion
SELECT * FROM Products;
GO